import { computed } from "vue";
import { defineStore } from "pinia";

export const navigationStore = defineStore("navigation", () => {
  const navigationStructure = Object.freeze([
    {
      type: "single",
      title: "ui.navigation.dashboard",
      name: "DashboardPage",
      icon: "mdi-monitor-dashboard",
      disable: false,
      permission: true,
    },
    {
      type: "single",
      title: "ui.navigation.profile",
      name: "ProfilePage",
      icon: "mdi-account-multiple-outline",
      disable: false,
      permission: true,
    },
  ]);

  const navigationItems = computed(() => navigationStructure);

  return {
    navigationItems,
  };
});
